/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.uinfo.salix;

import java.io.Serializable;
import java.text.NumberFormat;

/**
 * @author Domenico Nardi Tironi
 *
 */
public class SalixScenario implements Serializable {

    private static final long serialVersionUID = 1L;

    private final double salix_value;
    private final int dwspl;

    public SalixScenario(final int scen_val, final double salix_value) {
        this.dwspl = scen_val;
        this.salix_value = salix_value;
    }

    public double getSalixValue() {
        return this.salix_value;
    }

    public int getDwspl() {
        return this.dwspl;
    }

    public String getDwsplFormatted() {
        return String.valueOf(this.dwspl);
    }

    public String getSalixValueFormatted(final NumberFormat formatter) {
        return formatter.format(this.salix_value);
    }

    public static final String getScenarioValueHeader() {
        return "uinfo.export.salix_line.csv.header.scenario";
    }

    public static final String getDwsplHeader() {
        return "uinfo.export.salix_line.csv.header.scenario_dwspl";
    }

}
